commit cc9adc0141de9e5c96ed4f5495e1900972f94442
Author: Eitan Adler <lists@eitanadler.com>
Date:   Wed Dec 19 08:57:53 2012 -0500

    Answer the question "My laptop has a Synaptics touchpad. Can I use it in
    X?"
    
    Submitted by:	Bas Smeelen <b.smeelen@ose.nl>
    Reviewed by:	-doc
    Approved by:	??? (mentor)

diff --git a/en_US.ISO8859-1/books/faq/book.xml b/en_US.ISO8859-1/books/faq/book.xml
index 284be46..3311726 100644
--- a/en_US.ISO8859-1/books/faq/book.xml
+++ b/en_US.ISO8859-1/books/faq/book.xml
@@ -5451,8 +5451,8 @@ options    SYSVMSG          # enable for messaging</programlisting>
 	    &man.syscons.4; supports a virtual device called
 	    <devicename>/dev/sysmouse</devicename>.  All mouse events
 	    received from the real mouse device are written to the
-	    &man.sysmouse.4; device via &man.moused.8;.  If you wish to
-	    use your mouse on one or more virtual consoles,
+	    &man.sysmouse.4; device via &man.moused.8;.  To use your
+	    mouse on one or more virtual consoles,
 	    <emphasis>and</emphasis> use X, see <xref
 	      linkend="moused" remap="another section"/> and set up
 	    &man.moused.8;.</para>
@@ -5533,6 +5533,45 @@ EndSection</programlisting>
 	</answer>
       </qandaentry>
 
+	  <qandaentry>
+	<question id="x-and-synaptic">
+	  <para>My laptop has a Synaptics touchpad.  Can I use
+	    it in X?</para>
+	</question>
+
+	<answer>
+	  <para>Yes, you will have to configure a few things to
+	    make it work.</para>
+
+	  <para>If you plan to use the Xorg synaptics driver you
+	    <emphasis>must</emphasis> remove moused_enable from
+	    <filename>rc.conf</filename>.  Xorg can not use
+	    the synaptics mouse if the moused already sits on
+	    <filename>/dev/psm0</filename>.</para>
+
+	  <para>To enable synaptics in the &man.psm.4 driver you need
+	    to add the following into
+	    <filename>/boot/loader.conf</filename>:</para>
+
+	  <programlisting>hw.psm.synaptics_support="1"</programlisting>
+
+	  <para>You also need the following into your
+	    <filename>xorg.conf</filename> :</para>
+
+	  <programlisting>Section "InputDevice"
+Identifier  "Touchpad0"
+Driver      "synaptics"
+Option      "Protocol" "psm"
+Option      "Device" "/dev/psm0"
+EndSection</programlisting>
+
+	  <para>And be sure to add the following into the
+	    <quote>ServerLayout</quote> section :</para>
+
+	  <programlisting>InputDevice    "Touchpad0" "SendCoreEvents"</programlisting>
+	</answer>
+      </qandaentry>
+
       <qandaentry>
 	<question id="no-remote-x11">
 	  <para>How do I use remote X displays?</para>
